diff --git i/contrib/abcl-asdf/abcl-asdf.lisp w/contrib/abcl-asdf/abcl-asdf.lisp
index 2ded8b5..16ef8e4 100644
--- i/contrib/abcl-asdf/abcl-asdf.lisp
+++ w/contrib/abcl-asdf/abcl-asdf.lisp
@@ -17,6 +17,7 @@ (defclass mvn (iri)
    (repository :initform "http://repo1.maven.org/maven2/") ;;; XXX unimplmented
    (classname :initarg :classname :initform nil)
    (alternate-uri :initarg :alternate-uri :initform nil)
+   (snapshot-p :initarg :snapshot :initform nil :accessor component-snapshot-p)
    ;; inherited from ASDF:COMPONENT ??? what are the CL semantics on overriding -- ME 2012-04-01
    #+nil   (version :initform nil)))
 
@@ -58,7 +59,7 @@ (defmethod slot-missing ((class mvn) object slot-name operation &optional new-va
 
 (defun ensure-parsed-mvn (component)
   (with-slots (name group-id artifact-id
-                    version schema path repository) 
+                    version snapshot-p schema path repository) 
       component
     (when (null asdf::artifact-id) 
       (let ((parsed (abcl-asdf::split-string name "/"))
@@ -82,7 +83,7 @@ (defun ensure-parsed-mvn (component)
         (setf schema "mvn")
         (pushnew repository *mvn-repositories*)
         ;;; Always normalized path "on the way out" to contain group-id/artifact-id/version
-        (setf path (format nil "~A/~A/~A" group-id artifact-id version))))
+        (setf path (format nil "~A/~A/~A~@[-SNAPSHOT~]" group-id artifact-id version snapshot-p))))
     component))
 
 (eval-when (:compile-toplevel :load-toplevel :execute)
@@ -113,6 +114,7 @@ (defmethod resolve ((mvn-component asdf::mvn))
         (artifact-id (slot-value mvn-component 'asdf::artifact-id))
         (classname (slot-value mvn-component 'asdf::classname))
         (alternate-uri (slot-value mvn-component 'asdf::alternate-uri))
+        (snapshot-p (slot-value mvn-component 'asdf::snapshot-p))
         (version (if (slot-value mvn-component 'asdf::version)
                      (slot-value mvn-component 'asdf::version)
                      "LATEST")))
@@ -127,7 +129,7 @@ (defmethod resolve ((mvn-component asdf::mvn))
                                      "java.lang.ClassNotFoundException")
           (error "Unexpected Java exception~&~A.~&" e))))
     (if (find-mvn)
-        (resolve-dependencies group-id artifact-id version)
+        (resolve-dependencies group-id artifact-id version snapshot-p)
         (if alternate-uri
             (values (namestring alternate-uri) alternate-uri)
             (error "Failed to resolve MVN component name ~A." name)))))
diff --git i/contrib/abcl-asdf/maven-embedder.lisp w/contrib/abcl-asdf/maven-embedder.lisp
index 82bc27a..36c05e2 100644
--- i/contrib/abcl-asdf/maven-embedder.lisp
+++ w/contrib/abcl-asdf/maven-embedder.lisp
@@ -401,6 +401,7 @@ (defun ensure-remote-repository (&key
 (defun resolve-dependencies (group-id artifact-id 
                              &optional  ;;; XXX Uggh.  Move to keywords when we get the moxie.
                              (version "LATEST" versionp)
+                             snapshot-p
                              (repository *maven-remote-repository* repository-p))
   "Dynamically resolve Maven dependencies for item with GROUP-ID and ARTIFACT-ID 
 optionally with a VERSION and a REPOSITORY.  Users of the function are advised 
@@ -415,7 +416,9 @@ (defun resolve-dependencies (group-id artifact-id
   (unless versionp
     (warn "Using LATEST for unspecified version."))
   (let* ((coords 
-	  (format nil "~A:~A:~A" group-id artifact-id (if versionp version "LATEST")))
+	  (format nil "~A:~A:~A~:[~;-SNAPSHOT~]" group-id artifact-id
+                  (if versionp version "LATEST")
+                  snapshot-p))
 	 (artifact 
 	  (make-artifact coords))
          (dependency 
